Name:           ocaml-gen
Version:        1.0
Release:        %mkrel 1
Summary:        Simple, efficient iterators for OCaml
Group:          Development/OCaml
License:        BSD
URL:            https://c-cube.github.io/gen/
Source0:        https://github.com/c-cube/gen/archive/v%{version}/%{name}-%{version}.tar.gz
# Fedora does not need the seq forward compatibility shim
Patch0:         %{name}-seq.patch

BuildRequires:  ocaml
BuildRequires:  ocaml-dune-devel
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-ounit-devel
#BuildRequires:  ocaml-qcheck-devel
#BuildRequires:  ocaml-qtest-devel

%description
Iterators for OCaml, both restartable and consumable. The
implementation keeps a good balance between simplicity and
performance.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n gen-%{version}


%build
dune build -p gen @install


%install
mkdir -p %{buildroot}%{_libdir}/ocaml
dune install --destdir=%{buildroot} --libdir=%{_libdir}/ocaml

# These files will be installed using doc and license directives.
rm -r %{buildroot}/usr/doc

%check
# disable test for armhf https://github.com/ocaml/dune/issues/2527
%ifnarch armv7hl
dune runtest -p gen --no-buffer || :
%endif

%files
%doc README.md CHANGELOG.md
%license LICENSE
%dir %{_libdir}/ocaml/gen
%{_libdir}/ocaml/gen/META
%{_libdir}/ocaml/gen/opam
%{_libdir}/ocaml/gen/*dune*
%{_libdir}/ocaml/gen/*.cma
%{_libdir}/ocaml/gen/*.cmi
%{_libdir}/ocaml/gen/*.cmxs


%files devel
%doc README.md CHANGELOG.md
%license LICENSE
%{_libdir}/ocaml/gen/*.a
%{_libdir}/ocaml/gen/*.cmxa
%{_libdir}/ocaml/gen/*.cmx
%{_libdir}/ocaml/gen/*.ml
%{_libdir}/ocaml/gen/*.mli
%{_libdir}/ocaml/gen/*.cmt
%{_libdir}/ocaml/gen/*.cmti


%changelog
* Sun Jan 01 2023 daviddavid <daviddavid> 1.0-1.mga9
+ Revision: 1928689
- new version: 1.0
- add patch to use the standard library seq module

* Fri May 20 2022 pterjan <pterjan> 0.5.3-3.mga9
+ Revision: 1859413
- Rebuild for OCaml 4.14

* Thu Oct 14 2021 tv <tv> 0.5.3-2.mga9
+ Revision: 1751438
- Rebuild for ocaml 4.13.1

* Thu Mar 25 2021 tv <tv> 0.5.3-1.mga9
+ Revision: 1709728
- 0.5.3
+ daviddavid <daviddavid>
- rebuild for ocaml 4.12.0

* Sun Jan 10 2021 pterjan <pterjan> 0.5.2-4.mga8
+ Revision: 1670665
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.5.2-3.mga8
+ Revision: 1551485
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 0.5.2-2.mga8
+ Revision: 1545644
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 tv <tv> 0.5.2-1.mga8
+ Revision: 1485053
+ rebuild (emptylog)

* Wed Jan 29 2020 tv <tv> 0.5.2-0.1.mga8
+ Revision: 1485052
- new release + rebuild for ocaml-4.10
- ignore testsuite result as we miss 2 BRs for it

* Tue Oct 23 2018 tv <tv> 0.5.1-4.mga7
+ Revision: 1324281
- rebuild with ocaml-4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 0.5.1-3.mga7
+ Revision: 1299874
- Mageia 7 Mass Rebuild

* Thu Jul 05 2018 daviddavid <daviddavid> 0.5.1-2.mga7
+ Revision: 1241786
- update files list

* Sat Mar 31 2018 daviddavid <daviddavid> 0.5.1-1.mga7
+ Revision: 1213694
- initial package ocaml-gen

